import { GradientAngleAnimation } from "./GradientAngleAnimation";
import type { IAnimatable } from "../../Interfaces/IAnimatable";
import type { IAnimation } from "../../Interfaces/IAnimation";
import type { IGradientAngle } from "../../../Core/Interfaces/Gradients";
import type { IOptionLoader } from "../../Interfaces/IOptionLoader";
import type { RecursivePartial } from "../../../Types/RecursivePartial";
import { RotateDirection } from "../../../Enums/Directions/RotateDirection";
import type { RotateDirectionAlt } from "../../../Enums/Directions/RotateDirection";
export declare class GradientAngle implements IGradientAngle, IAnimatable<IAnimation>, IOptionLoader<IGradientAngle & IAnimatable<IAnimation>> {
    animation: GradientAngleAnimation;
    direction: RotateDirection | keyof typeof RotateDirection | RotateDirectionAlt;
    value: number;
    constructor();
    load(data?: RecursivePartial<IGradientAngle & IAnimatable<IAnimation>>): void;
}
