(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./GradientColorOpacityAnimation", "../../../Utils/NumberUtils"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.GradientColorOpacity = void 0;
    const GradientColorOpacityAnimation_1 = require("./GradientColorOpacityAnimation");
    const NumberUtils_1 = require("../../../Utils/NumberUtils");
    class GradientColorOpacity {
        constructor() {
            this.value = 0;
            this.animation = new GradientColorOpacityAnimation_1.GradientColorOpacityAnimation();
        }
        load(data) {
            if (!data) {
                return;
            }
            this.animation.load(data.animation);
            if (data.value !== undefined) {
                this.value = (0, NumberUtils_1.setRangeValue)(data.value);
            }
        }
    }
    exports.GradientColorOpacity = GradientColorOpacity;
});
