(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../../Utils/NumberUtils"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.GradientColorOpacityAnimation = void 0;
    const NumberUtils_1 = require("../../../Utils/NumberUtils");
    class GradientColorOpacityAnimation {
        constructor() {
            this.count = 0;
            this.enable = false;
            this.speed = 0;
            this.decay = 0;
            this.sync = false;
            this.startValue = "random";
        }
        load(data) {
            if (!data) {
                return;
            }
            if (data.count !== undefined) {
                this.count = (0, NumberUtils_1.setRangeValue)(data.count);
            }
            if (data.enable !== undefined) {
                this.enable = data.enable;
            }
            if (data.speed !== undefined) {
                this.speed = (0, NumberUtils_1.setRangeValue)(data.speed);
            }
            if (data.sync !== undefined) {
                this.sync = data.sync;
            }
            if (data.startValue !== undefined) {
                this.startValue = data.startValue;
            }
        }
    }
    exports.GradientColorOpacityAnimation = GradientColorOpacityAnimation;
});
